/*
 * File:   HardwareProfile PIC24FJ128GC006.h
 * Author: Standarduser
 *
 * Created on 7. Dezember 2013, 18:57
 */

#ifndef HARDWAREPROFILE_PIC24FJ128GC006_H
#define	HARDWAREPROFILE_PIC24FJ128GC006_H

#ifdef	__cplusplus
extern "C" {
#endif
/********************************************************************
 FileName:      HardwareProfile - dsPIC33EP512MU810 PIM.h
 Dependencies:  See INCLUDES section
 Processor:     dsPIC33E USB Microcontrollers
 Hardware:      dsPIC33EP512MU810 PIM
 Compiler:      Microchip C32 (for PIC32)
 Company:       Microchip Technology, Inc.

 Software License Agreement:

 The software supplied herewith by Microchip Technology Incorporated
 (the ?Company?) for its PIC? Microcontroller is intended and
 supplied to you, the Company?s customer, for use solely and
 exclusively on Microchip PIC Microcontroller products. The
 software is owned by the Company and/or its supplier, and is
 protected under applicable copyright laws. All rights are reserved.
 Any use in violation of the foregoing restrictions may subject the
 user to criminal sanctions under applicable laws, as well as to
 civil liability for the breach of the terms and conditions of this
 license.

 THIS SOFTWARE IS PROVIDED IN AN ?AS IS? CONDITION. NO WARRANTIES,
 WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.

********************************************************************
 File Description:

 Change History:
  Rev   Date         Description
  1.0   11/19/2004   Initial release
  2.1   02/26/2007   Updated for simplicity and to use common
                     coding style
  2.3   09/15/2008   Broke out each hardware platform into its own
                     "HardwareProfile - xxx.h" file
********************************************************************/


    /*******************************************************************/
    /******** USB stack hardware selection options *********************/
    /*******************************************************************/
    //This section is the set of definitions required by the MCHPFSUSB
    //  framework.  These definitions tell the firmware what mode it is
    //  running in, and where it can find the results to some information
    //  that the stack needs.
    //These definitions are required by every application developed with
    //  this revision of the MCHPFSUSB framework.  Please review each
    //  option carefully and determine which options are desired/required
    //  for your application.

    //#define USE_SELF_POWER_SENSE_IO
    //#define tris_self_power     TRISFbits.TRISF7    // Input
    #define self_power          1

    //#define USE_USB_BUS_SENSE_IO
    #define tris_usb_bus_sense  U1OTGSTATbits.SESVD    // Input
    #define USB_BUS_SENSE       U1OTGSTATbits.SESVD

    /*******************************************************************/
    /*******************************************************************/
    /*******************************************************************/
    /******** Application specific definitions *************************/
    /*******************************************************************/
    /*******************************************************************/
    /*******************************************************************/

    /** Board definition ***********************************************/
    //These defintions will tell the main() function which board is
    //  currently selected.  This will allow the application to add
    //  the correct configuration bits as wells use the correct
    //  initialization functions for the board.  These defitions are only
    //  required in the stack provided demos.  They are not required in
    //  final application design.
    #define DEMO_BOARD DSPIC33EP512MU810_PIM
    #define EXPLORER_16

    #define GetSystemClock()        32000000UL
    #define GetPeripheralClock()    16000000UL

    /** LED ************************************************************/
    #define mInitAllLEDs()      TRISDbits.TRISD9 = 0; TRISDbits.TRISD8 =0; TRISDbits.TRISD11=0;

    //backlight
    #define oDISP_GREEN     LATDbits.LATD9
    #define oDISP_RED       LATDbits.LATD11
    #define oDISP_BLUE      LATDbits.LATD8

    #define GREEN_Toggle()     oDISP_GREEN  = ! oDISP_GREEN
    #define RED_Toggle()       oDISP_RED    = ! oDISP_RED
    #define BLUE_Toggle()      oDISP_BLUE   = ! oDISP_BLUE

    /*
    #define mLED_1              LATAbits.LATA2
    #define mLED_2              LATAbits.LATA3
    #define mLED_3              LATAbits.LATA4
    #define mLED_4              LATAbits.LATA5

    #define mGetLED_1()         mLED_1
    #define mGetLED_2()         mLED_2
    #define mGetLED_3()         mLED_3
    #define mGetLED_4()         mLED_4

    #define mLED_1_On()         mLED_1 = 1;
    #define mLED_2_On()         mLED_2 = 1;
    #define mLED_3_On()         mLED_3 = 1;
    #define mLED_4_On()         mLED_4 = 1;

    #define mLED_1_Off()        mLED_1 = 0;
    #define mLED_2_Off()        mLED_2 = 0;
    #define mLED_3_Off()        mLED_3 = 0;
    #define mLED_4_Off()        mLED_4 = 0;

    #define mLED_1_Toggle()     mLED_1 = !mLED_1;
    #define mLED_2_Toggle()     mLED_2 = !mLED_2;
    #define mLED_3_Toggle()     mLED_3 = !mLED_3;
    #define mLED_4_Toggle()     mLED_4 = !mLED_4;
*/
    /** SWITCH *********************************************************/
    /*
    #define mInitSwitch2()      TRISDbits.TRISD6=1;
    #define mInitSwitch3()      TRISDbits.TRISD7=1;
    #define mInitAllSwitches()  mInitSwitch2();mInitSwitch3();
    #define sw2                 PORTDbits.RD6
    #define sw3                 PORTDbits.RD7

*/

    /** UART2 **********************************************************/
    #define BAUDRATE2       57600UL
    #define BRG_DIV2        4
    #define BRGH2           0

    /** I/O pin definitions ********************************************/
    #define INPUT_PIN 1
    #define OUTPUT_PIN 0

    //These definitions are only relevant if the respective functions are enabled
    //in the usb_config.h file.
    //Make sure these definitions match the GPIO pins being used for your hardware
    //setup.
    /*
    #define UART_DTS PORTDbits.RD6
    #define UART_DTR LATAbits.LATA1
    #define UART_RTS LATFbits.LATF13
    #define UART_CTS PORTFbits.RF12

    #define mInitRTSPin() {TRISFbits.TRISF13 = 0;}   //Configure RTS as a digital output.
    #define mInitCTSPin() {TRISFbits.TRISF12 = 1;}   //Configure CTS as a digital input.  (Make sure pin is digital if ANxx functions is present on the pin)
    #define mInitDTSPin() {TRISDbits.TRISD6 = 1;}   //Configure DTS as a digital input.  (Make sure pin is digital if ANxx functions is present on the pin)
    #define mInitDTRPin() {TRISAbits.TRISA1 = 0;}   //Configure DTR as a digital output.

*/



#ifdef	__cplusplus
}
#endif

#endif	/* HARDWAREPROFILE_PIC24FJ128GC006_H */

